Content / REST API

Remove content voice

Remove workspace author voice. No hosted inference. Updates affect only the selected voice.

DELETE /api/content/voicesDeterministic operation

Parameters

workspaceIdOptional · string
See the input schema for this field.
voiceIdRequired · string
See the input schema for this field.
Request example
curl -X DELETE "https://app.pipeline.help/api/content/voices?voice_id=00000000-0000-4000-8000-000000000000" \
  -H "Authorization: Bearer $PIPELINE_API_KEY"
Full input schema
Input schema
{
  "type": "object",
  "additionalProperties": false,
  "properties": {
    "workspaceId": {
      "type": "string"
    },
    "voiceId": {
      "type": "string"
    }
  },
  "required": [
    "voiceId"
  ]
}
See this operation inCLI MCP TypeScript SDK
API reference | Pipeline v2 preview